### Method

# Gcr Parser set_filename

#### Declaration [src]

    void
    gcr_parser_set_filename (
      GcrParser* self,
      const gchar* filename
    )

#### Description [src]

Sets the filename of the parser item.

#### Parameters

`filename`

  Type: `const gchar*`

  A string of the filename of the parser item.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.